local ASeaUnit = import('/lua/aeonunits.lua').ASeaUnit
local AeonWeapons = import('/lua/aeonweapons.lua')
local ADFCannonQuantumWeapon = AeonWeapons.ADFCannonQuantumWeapon
local ADFCannonOblivionWeapon = AeonWeapons.ADFCannonOblivionWeapon
local AANDepthChargeBombWeapon = AeonWeapons.AANDepthChargeBombWeapon
local EffectTemplate = import('/lua/EffectTemplates.lua')

tcsa0201 = Class(ASeaUnit) {

    Weapons = {
        MainGun = Class(ADFCannonQuantumWeapon) {
            FxMuzzleFlash = EffectTemplate.AQuantumCannonMuzzle02
        },
        MainGun2 = Class(ADFCannonOblivionWeapon) {
			FxMuzzleFlash = EffectTemplate.AQuantumCannonHit01
		},
        Torpedo01 = Class(AANDepthChargeBombWeapon) {},
    },
}

TypeClass = tcsa0201
